Subject: [tsvwg] Request for clarification:

From: Sebastian Moeller <[email-masked]>
Date: Mon, 16 Nov 2020 12:23:45 +0100

Dear team L4S,

https://tools.ietf.org/html/draft-ietf-tsvwg-aqm-dualq-coupled-13 contains the following change:

"If the DualQ Coupled AQM has detected overload, it MUST begin using
   Classic drop, and continue until the overload episode has subsided.
   Switching to drop if ECN marking is persistently high is required by
   Section 7 of [RFC3168] and Section 4.2.1 of [RFC7567]."

Am I understanding correctly, that on overload you switch the deep queue to drop signaling while keeping the shallow queue at CE-marking? If yes, what consequence does this have on equitable sharing of the AQM's egress rate between the overload causing flows in both queues?

Best Regards
	Sebastian

---

From: "De Schepper, Koen (Nokia - BE/Antwerp)" <[email-masked]>
Date: Mon, 16 Nov 2020 12:03:19 +0000

Hi Sebastian,

>> Am I understanding correctly, that on overload you switch the deep queue to drop signaling while keeping the shallow queue at CE-marking?

No, the intension is that all queues apply the Classic drop, and for L4S even on top of the higher marking probability (so doing the non-squared marking and the squared drop). With a k factor of 2, and a Classic Drop threshold of 25%, that means that if the PI controller outputs more than 50% marking, the squared is above 25%, so drop is applied instead of Classic ECN with the above 25% probability, and 2 times 50% is above 100% marking is applied to all L4S packets, of which also the above 25% drop is added additionally.

Maybe adding "to all traffic irrespective of the ECN codepoint " can help clarifying this:

"If the DualQ Coupled AQM has detected overload, it MUST begin using
   the Classic drop probability to all traffic irrespective of the ECN codepoint, and continue until the overload episode has subsided.
   Switching to drop if ECN marking is persistently high is required by
   Section 7 of [RFC3168] and Section 4.2.1 of [RFC7567]."

Regards,
Koen.

-----Original Message-----
From: tsvwg <[email-masked]> On Behalf Of Sebastian Moeller
Sent: Monday, November 16, 2020 12:24 PM
To: tsvwg IETF list <[email-masked]>
Subject: [tsvwg] Request for clarification:

Dear team L4S,

Best Regards
	Sebastian

---

From: Sebastian Moeller <[email-masked]>
Date: Mon, 16 Nov 2020 13:05:59 +0100

Hi Koen,

thanks!

> On Nov 16, 2020, at 13:03, De Schepper, Koen (Nokia - BE/Antwerp) <[email-masked]> wrote:
> 
> Hi Sebastian,
> 

	Yes, that helps, I guess I was confused by the term "Classic" in Classic drop as that often refers to the deep queue and/or flows steered into the deep queue. The proposed changed clarifies that for me, thanks.

Best Regards
	Sebastian